GDAL-DATASET-DELETE(1)

NAME
gdal-dataset-delete - Delete dataset(s)

Added in version 3.12.

gdal dataset delete delete dataset(s), including potential side-car/associated files.

SYNOPSIS

    Usage: gdal dataset delete [OPTIONS] <FILENAME>
    Delete dataset(s).
    Positional arguments:
      --filename <FILENAME>   File or directory name [may be repeated] [required]
    Common Options:
      -h, --help              Display help message and exit
      --json-usage            Display usage as JSON document and exit
      --config <KEY>=<VALUE>  Configuration option [may be repeated]
    Advanced Options:
      -f, --format <FORMAT>   Dataset format

OPTIONS

--filename <FILENAME>
    Any file name or directory name. Required. May be repeated

-f, ---format <FORMAT>
    Dataset format. Helps if automatic detection does not work.

EXAMPLES

  Example 1: Delete a dataset

    $ gdal dataset delete NE1_50M_SR_W.tif

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2026